<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Taller 3 </title>
</head>
<body>
    <form action="">
        <label for="">Primer dato</label><br>
        <input type="number" id="primerdato">
        <br><br> 
        <label for="">Segundo dato</label><br>
        <input type="number" id="segundodato">
        <br><br>
        <input type="number" id="resultado"disabled><br>
        <button type="button" onclick="calcular('sumar');">Suma</button>
        <button type="button" onclick="calcular('restar');">Resta</button>
        <button type="button" onclick="calcular('multi');">Multiplicación</button>
        <button type="button" onclick="calcular('divi');">División</button>
        <button type="button" onclick="calcular('porc');">Porcentaje</button>
        <button type="reset">Restaurar</button> 

    </form>
</body>
<script>
    function calcular(operacion){
        let valoruno = document.getElementById("primerdato").value;
        let valordos = document.getElementById("segundodato").value;
        resultado =0 ;
        switch(operacion){
            case 'sumar':{
                resultado = parseFloat(valoruno) + parseFloat(valordos);
            }break;
            case 'restar':{
                resultado = parseFloat(valoruno) - parseFloat(valordos);
            }break;
            case 'multi':{
                resultado = parseFloat(valoruno)  * parseFloat(valordos);
            }break;
            case 'divi':{
                resultado = parseFloat(valoruno) / parseFloat(valordos);
            }break;
            case 'porc':{
                resultado = valoruno  % valordos;
            }break;
        }
        document.getElementById("resultado").value = resultado;
    }
</script>
</html>